## mozilla-locale-ko 1.7

=== debian/changelog ===
mozilla-locale-ko (1.7) unstable; urgency=low

  * Initial Release. (closes: Bug#276440) 
  * This package was built according to the example of mozilla-locale-ja.

 -- Yooseong Yang <yooseong@debian.org>  Fri, 15 Oct 2004 10:48:54 +0900
