=== debian/control ===
Source: mozilla-locale-ko
Section: web
Priority: optional
Maintainer: Yooseong Yang <fmw@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), unzip, zip
Standards-Version: 3.5.8

Package: mozilla-locale-ko
Architecture: all
Depends: mozilla-browser (>= 2:1.7)
Conflicts: mozilla-browser (>= 2:1.8)
Description: Mozilla Korean Language/Region Package
 Korean Menu/Message resource and Region property package for Mozilla.
