## mozilla-locale-ko 1.7-1

=== debian/changelog ===
mozilla-locale-ko (1.7-1) unstable; urgency=low

  * Maintainer email address corrected. (closes: Bug#280044) 

 -- Yooseong Yang <yooseong@debian.org>  Mon, 31 Jan 2005 10:48:54 +0900
