=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mozilla-locale-ko
 Section: web
 Priority: optional
-Maintainer: Yooseong Yang <fmw@debian.org>
+Maintainer: Yooseong Yang <yooseong@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), unzip, zip
 Standards-Version: 3.5.8
